Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired

From: Glenn Morris <[email-masked]>
Date: Wed, 14 May 2014 15:01:21 -0400

Eli Zaretskii wrote:

> Sure.  And I'm sure some other user will argue that it makes sense to
> apply _her_ favorite major mode to any and all buffers.

Well, it really doesn't make sense AFAICS, but ok then, you don't want
the special-case solution of simply ignoring a `mode' dir-locals in
non-file buffers. So then we are back to http://debbugs.gnu.org/13685,
which would let people choose.